/* Inspired by Dave Shea's 'Verde Moderna', CSS Zen Garden submission 214 : http://www.csszengarden.com/214/214.css 
  but without the graphics, which are copyrighted, with more contrasting colours, etc.
  In fact, there's not much left of Shea's original design.
*/

html {
  padding: 0;
  margin: 0;
}
body {
  margin: 10px;
  color: #000; /* was #325050 */
  background: #fff;
  font-family: Verdana, 'Trebuchet MS', 'SF Pro', 'Libre Baskerville', Helvetica, sans-serif;
  font-size: 1em;
  line-height: 1.5em; letter-spacing: .12em; word-spacing: 0.16em;
}

h1, h2, h3, h4, h5, h6 {
  line-height: 1.5em; letter-spacing: .12em; word-spacing: 0.16em;
}

a {
  color: #0A6879; /* was #0d8ba1 */
  /*text-decoration: none;*/
  padding-left: .12em; padding-right: .12em;
}
a:visited {
  color: #325050; /* #1a5952 not dark enough ? */
}
a:focus {
  color: #2e484c; /* #0599c2 not dark enough ? */
  text-decoration: underline;
}

a:hover, a:focus-visible {
  outline: 2px solid #325050;
  border-radius: 2px;
  text-decoration: none;
}

dt a, dt a:visited { color: white; }
dt a:hover, dt a:focus-visible {
  color: #f5fffa;
  outline: 2px solid #f5fffa;
  border-radius: 2px;
  text-decoration: none;
}

/*fake focus outline for image links (SC 2.4.11)*/
a.image:visited, a.image:hover, a.image:focus, a.image:focus-visible, a.image:active {
  border: none; outline: 0;
}
a.image img, a.image:visited img {
  padding: 2px; background-color: transparent;
}
a.image:hover img, a.image:focus img, a.image:focus-visible img, a.image:active img {
  padding: 2px; background-color: #325050;
}

header, #header {
  height: 172px;
  padding: 20px 0 70px 0;
  text-align: left;
  background: var(--dark-header-background) 25% 0 url('./LongjiTerrace_PublicDomain_slice1.jpg') no-repeat; /* old IE fallback */
  /*background: var(--dark-header-background) 50% 0 ;
  background-image: linear-gradient(var(--dark-header-background), #6C9875);*/
}

h1 {
  padding: 0;
  margin: 0 0 0 20px;
  color: #fff;
  background-color: transparent;
  font-weight: normal;
  line-height: 1.35em; /* CS: added to prevent overlapping text on browser zoom */
  font-family: 'Julius Sans One', 'Trebuchet MS', Verdana, sans-serif;
  /*text-transform: uppercase;*/
}

h1 { font-size: 2.8em; }
#home h1 { font-size: 4em; }

h1 .h1txt {
  background: rgba(0, 0, 0, 0.5);
  padding: 4px;
}

main, footer, #main, #footer {
  margin-right: 20px;
  margin-left: 20px;
}

h2 { /* h3 in David Shea's CSS */
  margin: 28px 0 0 0;
  color: #2e484c;
  font-family: 'Julius Sans One', 'Trebuchet MS', Verdana, sans-serif;
  font-size: 1.8em;
  font-weight: normal;
}

li, p, dt, dd { margin-top: 1em; margin-bottom: 1em;
  line-height: 1.5;
}

ol.instructions li, p {
  margin: 0.75em 0;
}

dl dt {
  padding: .2rem .4rem;
  font-weight: bold;
  color: #FFFBFA;
  background-color: #2e484c;
  background-image: linear-gradient(0deg, #2e484c, #4B6F44);
}
dl dd {
  border-right: 1px solid #2e484c;
  border-bottom: 1px solid #2e484c;
}

form.tricky-form label { display: inline-block; width: 10rem; }
button[type=reset] { color: var(--warning-text-colour); background-color: transparent; }

input, select, select option, button, summary { min-height: 24px; min-width: 24px; } /*WCAG 2.2 CR SC 2.5.8*/

table { border-collapse: collapse; margin-top: 10px; }
th, td { border: 1px solid #666; padding: 4px; }
th { text-align: left; }
table caption {
  font-size: 1.2rem;
  padding: 4px;
  border: 1px solid #666;
  border-bottom: none;
}

footer, #footer {
  border-top: 1px solid #2e484c;
  margin-top: 60px;
}

#understandingsc411 li samp { color: #333; font-family: Optima, 'Noto Sans', sans-serif; }
#understandingsc411 li samp code { border: 1px dashed #999; padding: 2px 4px; }


body.svgtests .sr-only {
  clip: rect(0 0 0 0);
  clip-path: inset(100%);
  height: 1px;
  overflow: hidden;
  position: absolute;
  white-space: nowrap;
  width: 1px;
}

body.svgtests span.option__icon svg, label {
  max-height: 1.6rem; padding: 2px 2px 0px 2px;
}

body.svgtests input:hover + label span svg,
body.svgtests input:focus-visible + label span svg {
  color: black; background-color: #FFD700;
  padding: 2px 2px 0px 2px;
  outline: 2px solid #AA0000;
}/* #AA0000 on #FFD700: contrast ratio 5.53 */

.map-container { margin-top: 20px; margin-bottom: 20px; }

body.extended-descriptions .osm-container {
  background-color: #EEE;
  padding: 10px;
  overflow: auto;
}

@media (max-width: 600px) {
  body {
    line-height: 1.35em; letter-spacing: .1em; word-spacing: 0.12em;
  }
  header, #header {
    height: auto;
    padding: 20px 0 20px 0;
    text-align: left;
    background-color: var(--dark-header-background);
    background-image: none;
  }
  h1 {
    margin-left: 6px;
  }
  header h1, #header h1, h1 .h1txt { background-color: transparent; color: white; }
}

:root {
  --warning-text-colour: #CC0000;
  --dark-header-background: #2d6360;
}

